Retrieve the current credit consumption period
GET /consumption/current-period on the Congestion API. Base URL: https://api.sinay.ai/congestion/api/v1.
Responses
Body: application/json, object.
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | Yes | Unique identifier of the consumption period. |
credits | integer | Yes | Remaining credits. |
creditsInitial | integer | Yes | Credits allocated at the start of the period. |
periodStart | string (date-time) | Yes | Start of the period. |
periodEnd | string (date-time) | Yes | End of the period. |
expired | boolean | Yes | Whether this period has expired. |
Example response body:
{
"id": "091c4dc8-e979-4607-b9ca-78260ab48dfe",
"credits": 3,
"creditsInitial": 3,
"periodStart": "2024-10-21T11:20:17Z",
"periodEnd": "2224-10-21T11:20:17Z",
"expired": false
}